# Searches for applications using predefined parameters

Searches for applications using predefined parameters

Endpoint: POST /applications/{tenantId}/search
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

## Query parameters:

  - `exclusiveStartKey` (string)
    The start key for the search, for paging support

  - `fieldsToReturn` (string)
    The fields that you want to retrieve; if omitted, the entire object is returned

## Request body:

  - `application/json` (unknown)
    The application that you would like to be saved.

## Request fields (application/json):

  - `contact_id` (array)

  - `date` (array)

  - `ids` (array)
    IDs to search

  - `last_requirements_calculation_date` (array)

  - `name` (string)

  - `number_of_missing_requirements` (array)

  - `organization_id` (array)

  - `owner_type` (array)

  - `percentage_complete` (array)

  - `process_id` (array)

  - `program_id` (array)

  - `status` (array)

  - `type` (array)

## Response 200:

  - `200` (unknown)
    The application search was saved successfully.

## Response 200 fields (application/json):

  - `Items` (array)

  - `Items.contact_id` (string)

  - `Items.date` (string)

  - `Items.id` (string)
    The id

  - `Items.last_requirements_calculation_date` (string)

  - `Items.name` (string)

  - `Items.number_of_missing_requirements` (number)

  - `Items.organization_id` (string)

  - `Items.owner_type` (string)

  - `Items.percentage_complete` (number)

  - `Items.process_id` (string)

  - `Items.program_id` (string)

  - `Items.status` (string)

  - `Items.type` (string)

  - `LastEvaluatedKey` (string)

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The application you supplied was invalid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The resource could not be found

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 405:

  - `405` (unknown)
    The request method is not allowed.

## Response 405 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 409:

  - `409` (unknown)
    The application could not be saved because it refers to/depends on a non-existent object.

## Response 409 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to add application based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

